<?php
	/*
	+--------------------------------------------------------------------------
	|   Project-Alumni v1.0.0
	|   =============================================
	|   by Stephen Eskin and Jason Leveille
	|   (c) 2003 - 2006 Project-Alumni.
	|   http://www.project-alumni.org
	|   =============================================
	|   Web: http://www.project-alumni.org
	|   Time: Mon, 19 Jul 2006 02:11:59 EST
	+---------------------------------------------------------------------------
	|
	|   > Skin Functions
	|   > Module written by Stephen Eskin
	|   > Date started: 21th June 2006
	|
	+--------------------------------------------------------------------------
	*/

	/************************************************
	 * Name: Display Header (displaySiteHeader)		*
	 * Desc: Displays the site's header.			*
	 * Pre:  NULL									*
	 * Post: Displays the sites header.				*
	 ************************************************/
	function displaySiteHeader() {
		?>
				<div id="loginBox">
					<?php echo displayMemberBar(); ?>
				</div>
				<div id="sideNav">
					<?php displaySiteNav(); ?>
				</div>
		<?php
	}

	/************************************************
	 * Name: Display Navigation (displaySiteNav)	*
	 * Desc: Displays the site's navigation.		*
	 * Pre:  NULL									*
	 * Post: Displays the sites navigation.			*
	 ************************************************/
	function displaySiteNav() {
		function showActive($sentAct) {
			if($_GET['act'] == $sentAct) { return " class=\"active\""; }
		}
		if($_SESSION['userName']) {
			echo "\n\t\t\t\t<!-- PROTECTED CODE -->";
			echo "<a href=\"index.php\" ".showActive("")." title=\"".getConfigVal("schoolAbbr",2)." Alumni Home\">".getConfigVal("schoolAbbr",2)." Alumni Home</a>
				  <a href=\"index.php?act=view\" ".showActive("view")." title=\"View an Alumni Year\">View an Alumni Year</a>
				  <a href=\"index.php?act=find\" ".showActive("find")." title=\"Find an Alumni Member\">Find an Alumni Member</a>
				  <a href=\"index.php?act=news\" ".showActive("news")." title=\"View Class News\">View Class News</a>
				  <a href=\"index.php?act=direct\" ".showActive("direct")." title=\"Browse Printable Class Directory\">Browse Class Directory</a>
				
				  <a href=\"index.php?act=update\" ".showActive("update")." title=\"Update Your Information\">Update Your Information</a>";
			if($_SESSION['userType'] != "admin") { echo "<a href=\"index.php?act=delete\" ".showActive("delete")." title=\"Delete Your Information\">Delete Your Information</a>"; }
			if($_SESSION['userType'] == "classprez") {
				echo "\n\t\t\t\t<!-- CLASS PRESIDENT CODE -->
				  <a href=\"index.php?act=classprez&amp;code=1\" title=\"Email Your Class\">Email Your Class</a>
				  <a href=\"index.php?act=classprez&amp;code=2\" title=\"Manage Your Class News\">Manage Your Class News</a>";
			}
			if($_SESSION['userType'] == "admin") {
				echo "\n\t\t\t\t<!-- ADMIN CODE -->
				  <a href=\"index.php?act=admin\" ".showActive("admin")." style=\"background-color: #FFB9BB\" title=\"Administrator Control Panel\">Administrator Control Panel</a>";
			}
		} else { //User is not logged in
			echo "\n\t\t\t\t<!-- UNPROTECTED CODE -->";
			echo "<a href=\"index.php\" ".showActive("")." title=\"" . getConfigVal("schoolAbbr",2) ." Alumni Home\">" . getConfigVal("schoolAbbr",2) ." Alumni Home</a>
				  <a href=\"index.php?act=news\" ".showActive("news")." title=\"View Class News\">View Class News</a>
				  <a href=\"index.php?act=join\" ".showActive("join")." title=\"Request a Login\">Request a Login</a>";
		}
	}
	
	/************************************************
	 * Name: Display Site Footer (displaySiteFooter)*
	 * Desc: Displays the sites footer.				*
	 * Pre:  $style is a valid String or NULL		*
	 * Post: Displays the sites footer.				*
	 ************************************************/
	function displaySiteFooter($style) {
		if($style == "short") {
			echo "<div id='footer'><a href='http://www.project-alumni.org' title=\"Visit Project Alumni's Homepage\">project alumni</a> v. " . getConfigVal("dashVersion",2) . " copyright <a href='http://www.antiemotion.com' title=\"Visit Stephen Eskin's Website\">stephen eskin</a> and <a href='http://www.my-classes.org' title=\"Visit Jason Leveille's Website\">jason leveille</a></div>";
		} else {
		?>
					<div id="contentFooter">
						<address>
							<strong><?php echo getConfigVal("schoolNameLong",2); ?></strong><br />
							<?php echo getConfigVal("schoolStreetAddress",2); ?><br />
							<?php echo getConfigVal("schoolCity",2); ?>, <?php echo getConfigVal("schoolState",2); ?> <?php echo getConfigVal("schoolZip",2); ?><br /><a href="<?php echo getConfigVal("schoolWebsite",2); ?>" title="<?php echo getConfigVal("schoolNameShort",2); ?> Home"><?php echo getConfigVal("schoolWebsite",2); ?></a>
						</address>
						<p><img src="<?php echo getConfigVal("alumniWebsite",2) . "/skins/" . getConfigVal("dashSkinID",2); ?>/gr/logo.jpg" alt="Project-Alumni Logo" />&nbsp;&nbsp;<a href="http://www.project-alumni.org" title="Visit Project-Alumni">Project Alumni v. <?php echo getConfigVal("dashVersion",2); ?></a></p>
					</div>
		<?php
		}
		mysql_close();
	}
?>