<?php	
	header('Pragma: public');

	$dashDataPath = $_SERVER['DOCUMENT_ROOT'] . "/data/";
	$dashConfigPath = $dashDataPath . "config.ini.php";
	$bodyOnLoad = "";
	$dbConnLink = "";
	include("../includes/global.inc.php");

	require('support/fpdf.php');
	class PDF extends FPDF
	{
		var $headerText = 0;
		
		//Page header
		function Header()
		{
			//Logo
			$this->Image('../skins/'.getConfigVal("dashSkinID",2).'/gr/contentbg.png',8,5,50);
			//Arial bold 15
			$this->SetFont('Arial','B',15);
			//Move to the right
			$this->Cell(80);
			//Title
			$this->Cell(30,10,$this->headerText,0,0,'C');
			//Line break
			$this->Ln(10);
		}
		
		function setHeaderText($y)
		{
			$this->headerText = $y;
		}
		
		function getYear()
		{
			return $this->year;
		}
		
		//Page footer
		function Footer()
		{
			//Position at 1.5 cm from bottom
			$this->SetY(-15);
			//Arial italic 8
			$this->SetFont('Arial','I',8);
			//Page number
			$this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
		}
	}
	
	if(isset($_GET["year"]))
	{
		$year = $_GET["year"];
		
		if($year == "FRND")
			$headerText = "Friends of ".getConfigVal("schoolAbbr",2)." Alumni";
		else
			$headerText = "Class of " . $year . " Directory";

		dbConnect();	
		$query = "SELECT * FROM `".getConfigVal("sqlTablePrefix",2)."_users` WHERE `alumniYear` = '$year' ORDER BY alumniLastName";
		$result = dbQuery($query); //Run the query
		if($result) //if the query ran successfully
		{
			//Instanciation of inherited class
			$pdf=new PDF();
			$pdf->setHeaderText($headerText);
			$pdf->AliasNbPages();
			$pdf->AddPage();
			$pdf->SetFont('Times','',10);
			
			$valid = FALSE;
			
			while($row=mysql_fetch_array($result,MYSQL_ASSOC))
			{
				$valid = TRUE;
				
				if(!empty($row[alumniMaidenName]))
					$maiden = trim($row[alumniMaidenName]) . " ";
				else
					$maiden = "";
					
				$first = trim($row[alumniFirstName]);
				$last = trim($row[alumniLastName]);
						
				if($row[alumniPhone]=="")
					$phone = "No Information";
				elseif($row[hidePhone] == "Yes")
					$phone = "Information Not Available";
				else
					$phone = trim($row[alumniPhone]);
			
				if($row[alumniAddress]=="")
					$address = "No Information";
				elseif($row[hideAddress] == "Yes")
					$address = "Information Not Available";
				else
					$address = trim($row[alumniAddress]);				
			
				if($row[alumniEmail]=="")
					$email = "No Information";
				elseif($row[hideEmail] == "Yes")
					$email = "Information Not Available";
				else
					$email = trim($row[alumniEmail]);				
			
				if($row[alumniNote]=="")
					$comments = "";
				else
					$comments = strip_tags(stripslashes(trim($row[alumniNote])));
				
				$name = "NAME: " . $first . " " . $maiden . $last;
				//$pdf->Cell(0,5,"$name",0,1);
				
				$phone = "PHONE: " . $phone;
				//$pdf->Cell(0,5,"$phone",0,1);
				
				$address = "ADDRESS: " . $address;
				//$pdf->Cell(0,5,"$address",0,1);
				
				$email = "EMAIL: " . $email;
				
				$text = $name . "\n" . $phone . "\n" . $address . "\n" . $email . "\n" . $comments;
					
				$pdf->MultiCell(0,5,$text,0,"L");
					
				$pdf->Ln();
	
			}//end while
			
			if(!$valid)
			{
				$pdf->setHeaderText("ERROR: Invalid Year - " . $year);
				$pdf->Cell(0,5,"You have entered an invalid year in the URL.  Please return to ".getConfigVal("alumniWebsite",2).".",0,1);
			} 
			
		} else {
			$pdf=new PDF();
			$pdf->setHeaderText("ERROR: Unable to execute query!");
			$pdf->AliasNbPages();
			$pdf->AddPage();
			$pdf->SetFont('Times','',10);
			$pdf->Cell(0,5,"Could not Execute query at this time.  Please return to ".getConfigVal("alumniWebsite",2)." and try again later.",0,1);
		}
	} else {
		$pdf=new PDF();
		$pdf->setHeaderText("ERROR: No Year Specified!");
		$pdf->AliasNbPages();
		$pdf->AddPage();
		$pdf->SetFont('Times','',10);
		$pdf->Cell(0,5,"No year has been specified for viewing.  Please visit ".getConfigVal("alumniWebsite",2)."/index.php?act=direct for a list of class years.",0,1);
	}
	
	$pdf->Output();exit;
?>